#Alapstatisztikk tblzatos formban kt faktor (y,z) esetn.

library(gdata)


leiro.stat<-function(x,y,z)
{
   stderr <- function(x) sqrt( var(x,na.rm=TRUE) / nobs(x) )
   XNAME <- deparse(substitute(x))
   YNAME <- deparse(substitute(y))
   ZNAME <- deparse(substitute(z))
   cat("A(z)",XNAME,"vltoz ler statisztiki" ,"\n", "a(z)",YNAME,"s",ZNAME,
    "faktorok esetn:", "\n\n",sep=" ")
     atlag   <- aggregate.table(x,y,z,FUN=mean)
     med  <- aggregate.table(x,y,z,FUN=median)
     szoras   <- aggregate.table(x,y,z,FUN=sd)
     SE <- aggregate.table( x,y,z, stderr )
     ns      <- aggregate.table( x,y,z, nobs )
     blanks <- matrix( " ", nrow=nlevels(y), ncol=nlevels(z))

     tab <- interleave( "tlag"=round(atlag,2),
				"Medin"=round(med,2),
				"Szrs"=round(szoras,2),
                        "Standard hiba"=round(SE,2),
                        "Mintaelemszm"=ns, " " = blanks, sep=" " )

     print(tab, quote=FALSE)
}
